Esc

↑↓ move↵ openIndex · Pagefind
REST reference · Core Tools

Directory

15 endpoints12 implementedAll modules →
  1. GET /rest/v1.0/projects/{project_id}/distribution_groupsList Project Distribution Groups
  2. POST /rest/v1.0/projects/{project_id}/distribution_groupsCreate Project Distribution Group
  3. GET /rest/v1.0/projects/{project_id}/distribution_groups/{distribution_group_id}Show Project Distribution Group
  4. PATCH /rest/v1.0/projects/{project_id}/distribution_groups/{distribution_group_id}Update Project Distribution Group
  5. DELETE /rest/v1.0/projects/{project_id}/distribution_groups/{distribution_group_id}Delete Project Distribution Group
  6. GET /rest/v1.0/projects/{project_id}/project_rolesList Project Roles
  7. GET /rest/v1.0/projects/{project_id}/usersList Project Users
  8. POST /rest/v1.0/projects/{project_id}/usersCreate project user
  9. GET /rest/v1.0/projects/{project_id}/users/{id}Show project user
  10. PATCH /rest/v1.0/projects/{project_id}/users/{id}Update project user
  11. GET /rest/v1.0/projects/{project_id}/vendorsList project vendors
  12. POST /rest/v1.0/projects/{project_id}/vendorsCreate project vendor
  13. GET /rest/v1.0/projects/{project_id}/vendors/{id}Show project vendor
  14. PATCH /rest/v1.0/projects/{project_id}/vendors/{id}Update project vendor
  15. GET /rest/v1.0/projects/{project_id}/vendors/{id}/usersList company (vendor) people
GET /rest/v1.0/projects/{project_id}/distribution_groups

List Project Distribution Groups

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[search]
    stringquery
  • sort
    stringquery
  • view
    stringquery
  • include_ancestors
    booleanquery
  • domain_id
    integerquery
  • min_ual
    integerquery
  • ual
    integerquery

Response · 200 · object[]

  • id
    integer
  • name
    string
POST /rest/v1.0/projects/{project_id}/distribution_groups

Create Project Distribution Group

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • Idempotency-Token
    stringheader
  • project_id
    integerpathrequired

Request body

  • distribution_group
    objectrequired

Response · 200 · object

  • id
    integer
  • name
    string
  • users
    object[]
GET /rest/v1.0/projects/{project_id}/distribution_groups/{distribution_group_id}

Show Project Distribution Group

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • distribution_group_id
    integerpathrequired
  • view
    stringquery
  • include_ancestors
    booleanquery
  • domain_id
    integerquery
  • min_ual
    integerquery
  • ual
    integerquery

Response · 200 · object

  • id
    integer
  • name
    string
PATCH /rest/v1.0/projects/{project_id}/distribution_groups/{distribution_group_id}

Update Project Distribution Group

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • distribution_group_id
    integerpathrequired
  • Idempotency-Token
    stringheader

Request body

  • distribution_group
    objectrequired

Response · 200 · object

  • id
    integer
  • name
    string
  • users
    object[]
DELETE /rest/v1.0/projects/{project_id}/distribution_groups/{distribution_group_id}

Delete Project Distribution Group

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • distribution_group_id
    integerpathrequired

Response · 204

No response body.

GET /rest/v1.0/projects/{project_id}/project_roles

List Project Roles

v1.0Implemented

Parameters

  • project_id
    stringpathrequired

Response · 200 · object[]

  • id
    integer
  • name
    string
  • role
    string | null
  • user_id
    integer
  • contact_id
    integer
  • is_active
    boolean
  • created_at
    string
GET /rest/v1.0/projects/{project_id}/users

List Project Users

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • view
    stringquery
  • filters[created_at]
    string (date)query
  • filters[updated_at]
    string (date)query
  • filters[permission_template]
    integerquery
  • filters[vendor_id]
    integer[]query
  • filters[origin_id]
    stringquery
  • filters[trade_id][]
    integer[]query
  • filters[search]
    stringquery
  • filters[employee]
    booleanquery
  • filters[id][]
    integer[]query
  • filters[search_by_full_name]
    stringquery
  • sort
    stringquery

Response · 200 · object[]

  • first_name
    string | null
  • id
    integer
  • initials
    string | null
  • last_name
    string
  • name
    string
  • party_id
    integer | null
  • vendor
    object | null
POST /rest/v1.0/projects/{project_id}/users

Create project user

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • run_configurable_validations
    booleanquery

Request body

  • user
    objectrequired

Response · 201 · object

  • address
    string
  • avatar
    string
  • business_id
    string | null
  • business_phone
    string
  • business_phone_extension
    integer
  • city
    string
  • country_code
    string
  • email_address
    string (email)
  • email_signature
    string
  • employee_id
    string
  • fax_number
    string
  • first_name
    string
  • name
    string
  • id
    integer
  • initials
    string
  • is_active
    boolean
  • is_employee
    boolean
  • is_insurance_manager
    boolean
  • job_title
    string
  • last_login_at
    string (date-time)
  • last_name
    string
  • mobile_phone
    string
  • notes
    string
  • state_code
    string
  • zip
    string
  • default_permission_template_id
    integer
  • company_permission_template_id
    integer
  • origin_id
    string
  • origin_data
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • work_classification_id
    integer
  • vendor
    object
GET /rest/v1.0/projects/{project_id}/users/{id}

Show project user

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • address
    string
  • avatar
    string
  • business_id
    string | null
  • business_phone
    string
  • business_phone_extension
    integer
  • city
    string
  • country_code
    string
  • email_address
    string (email)
  • email_signature
    string
  • employee_id
    string
  • fax_number
    string
  • first_name
    string
  • name
    string
  • id
    integer
  • initials
    string
  • is_active
    boolean
  • is_employee
    boolean
  • is_insurance_manager
    boolean
  • job_title
    string
  • last_login_at
    string (date-time)
  • last_name
    string
  • mobile_phone
    string
  • notes
    string
  • state_code
    string
  • zip
    string
  • default_permission_template_id
    integer
  • company_permission_template_id
    integer
  • origin_id
    string
  • origin_data
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • work_classification_id
    integer
  • vendor
    object
PATCH /rest/v1.0/projects/{project_id}/users/{id}

Update project user

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired
  • run_configurable_validations
    booleanquery

Request body

  • user
    objectrequired

Response · 200 · object

  • address
    string
  • avatar
    string
  • business_id
    string | null
  • business_phone
    string
  • business_phone_extension
    integer
  • city
    string
  • country_code
    string
  • email_address
    string (email)
  • email_signature
    string
  • employee_id
    string
  • fax_number
    string
  • first_name
    string
  • name
    string
  • id
    integer
  • initials
    string
  • is_active
    boolean
  • is_employee
    boolean
  • is_insurance_manager
    boolean
  • job_title
    string
  • last_login_at
    string (date-time)
  • last_name
    string
  • mobile_phone
    string
  • notes
    string
  • state_code
    string
  • zip
    string
  • default_permission_template_id
    integer
  • company_permission_template_id
    integer
  • origin_id
    string
  • origin_data
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • work_classification_id
    integer
  • vendor
    object
GET /rest/v1.0/projects/{project_id}/vendors

List project vendors

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • view
    stringquery
  • page
    integerquery
  • per_page
    integerquery
  • filters[search]
    stringquery
  • filters[standard_cost_code_id][]
    integer[]query
  • filters[trade_id][]
    integer[]query
  • filters[id][]
    integer[]query
  • filters[parent_id][]
    integer[]query
  • filters[abbreviated_name][]
    string[]query
  • sort
    stringquery

Response · 200 · object[]

  • bidding
    object | null
  • bidding_distribution
    object[]
  • business
    object | null
  • children_count
    integer
  • legal_name
    string
  • parent
    object | null
  • trades
    object | null[]
  • id
    integer
  • name
    string
  • abbreviated_name
    string | null
  • address
    string | null
  • attachments
    object[]
  • authorized_bidder
    boolean
  • business_id
    string | null
  • business_phone
    string | null
  • business_register
    object | null
  • city
    string | null
  • company
    string | null
  • company_vendor
    boolean
  • country_code
    string | null
  • created_at
    string | null (date-time)
  • email_address
    string | null (email)
  • fax_number
    string | null
  • is_active
    boolean
  • is_connected
    boolean
  • labor_union
    string | null
  • license_number
    string | null
  • logo
    string | null
  • mobile_phone
    string | null
  • non_union_prevailing_wage
    boolean
  • notes
    string | null
  • origin_code
    string | null
  • origin_data
    string | null
  • origin_id
    string | null
  • prequalified
    boolean
  • primary_contact
    object | null
  • project_ids
    integer[]
  • state_code
    string | null
  • synced_to_erp
    boolean
  • trade_name
    string
  • union_member
    boolean
  • updated_at
    string | null (date-time)
  • vendor_group
    object | null
  • uuid
    string | null (uuid)
  • website
    string | null
  • zip
    string | null
POST /rest/v1.0/projects/{project_id}/vendors

Create project vendor

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • view
    stringquery
  • run_configurable_validations
    booleanquery

Request body

  • vendor
    objectrequired

Response · 201 · object

  • bidding
    object | null
  • bidding_distribution
    object[]
  • business
    object | null
  • children_count
    integer
  • legal_name
    string
  • parent
    object | null
  • trades
    object | null[]
  • id
    integer
  • name
    string
  • abbreviated_name
    string | null
  • address
    string | null
  • attachments
    object[]
  • authorized_bidder
    boolean
  • business_id
    string | null
  • business_phone
    string | null
  • business_register
    object | null
  • city
    string | null
  • company
    string | null
  • company_vendor
    boolean
  • country_code
    string | null
  • created_at
    string | null (date-time)
  • email_address
    string | null (email)
  • fax_number
    string | null
  • is_active
    boolean
  • is_connected
    boolean
  • labor_union
    string | null
  • license_number
    string | null
  • logo
    string | null
  • mobile_phone
    string | null
  • non_union_prevailing_wage
    boolean
  • notes
    string | null
  • origin_code
    string | null
  • origin_data
    string | null
  • origin_id
    string | null
  • prequalified
    boolean
  • primary_contact
    object | null
  • project_ids
    integer[]
  • state_code
    string | null
  • synced_to_erp
    boolean
  • trade_name
    string
  • union_member
    boolean
  • updated_at
    string | null (date-time)
  • vendor_group
    object | null
  • uuid
    string | null (uuid)
  • website
    string | null
  • zip
    string | null
GET /rest/v1.0/projects/{project_id}/vendors/{id}

Show project vendor

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired
  • view
    stringquery

Response · 200 · object

  • bidding
    object | null
  • bidding_distribution
    object[]
  • business
    object | null
  • children_count
    integer
  • legal_name
    string
  • parent
    object | null
  • trades
    object | null[]
  • id
    integer
  • name
    string
  • abbreviated_name
    string | null
  • address
    string | null
  • attachments
    object[]
  • authorized_bidder
    boolean
  • business_id
    string | null
  • business_phone
    string | null
  • business_register
    object | null
  • city
    string | null
  • company
    string | null
  • company_vendor
    boolean
  • country_code
    string | null
  • created_at
    string | null (date-time)
  • email_address
    string | null (email)
  • fax_number
    string | null
  • is_active
    boolean
  • is_connected
    boolean
  • labor_union
    string | null
  • license_number
    string | null
  • logo
    string | null
  • mobile_phone
    string | null
  • non_union_prevailing_wage
    boolean
  • notes
    string | null
  • origin_code
    string | null
  • origin_data
    string | null
  • origin_id
    string | null
  • prequalified
    boolean
  • primary_contact
    object | null
  • project_ids
    integer[]
  • state_code
    string | null
  • synced_to_erp
    boolean
  • trade_name
    string
  • union_member
    boolean
  • updated_at
    string | null (date-time)
  • vendor_group
    object | null
  • uuid
    string | null (uuid)
  • website
    string | null
  • zip
    string | null
PATCH /rest/v1.0/projects/{project_id}/vendors/{id}

Update project vendor

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired
  • view
    stringquery
  • run_configurable_validations
    booleanquery

Request body

  • vendor
    objectrequired

Response · 200 · object

  • bidding
    object | null
  • bidding_distribution
    object[]
  • business
    object | null
  • children_count
    integer
  • legal_name
    string
  • parent
    object | null
  • trades
    object | null[]
  • id
    integer
  • name
    string
  • abbreviated_name
    string | null
  • address
    string | null
  • attachments
    object[]
  • authorized_bidder
    boolean
  • business_id
    string | null
  • business_phone
    string | null
  • business_register
    object | null
  • city
    string | null
  • company
    string | null
  • company_vendor
    boolean
  • country_code
    string | null
  • created_at
    string | null (date-time)
  • email_address
    string | null (email)
  • fax_number
    string | null
  • is_active
    boolean
  • is_connected
    boolean
  • labor_union
    string | null
  • license_number
    string | null
  • logo
    string | null
  • mobile_phone
    string | null
  • non_union_prevailing_wage
    boolean
  • notes
    string | null
  • origin_code
    string | null
  • origin_data
    string | null
  • origin_id
    string | null
  • prequalified
    boolean
  • primary_contact
    object | null
  • project_ids
    integer[]
  • state_code
    string | null
  • synced_to_erp
    boolean
  • trade_name
    string
  • union_member
    boolean
  • updated_at
    string | null (date-time)
  • vendor_group
    object | null
  • uuid
    string | null (uuid)
  • website
    string | null
  • zip
    string | null
GET /rest/v1.0/projects/{project_id}/vendors/{id}/users

List company (vendor) people

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · object[]

  • first_name
    string | null
  • id
    integer
  • initials
    string | null
  • last_name
    string
  • name
    string
  • party_id
    integer | null
  • vendor
    object | null

Ask the OS

Reading this page

Ask anything about this page. Answers use what you're reading as context.

Suggested

    AI · may be imperfect · sample data where shown

    Open file